import alert from './alert.vue'
export default {
  install(Vue) {
    Vue.prototype.$alert = (options) => {
      let Constructor = Vue.extend(alert)
      let instance = new Constructor({
        propsData: options
      }).$mount()
      document.querySelector('body').appendChild(instance.$el)
    }
    Vue.mixin({
      methods: {
        $closeAlertLoading(){
          const loads = document.querySelectorAll('.JQ-alert--loading')
          for(let loadObj of loads) loadObj.remove()
        }
      }
    })
  }
}